SNDFILE-METADATA-GET(1)

NAME
sndfile-metadata-get, sndfile-metadata-set - get or set metadata in a sound file

SYNOPSIS
sndfile-metadata-get [options] file
sndfile-metadata-set [options] file
sndfile-metadata-set [options] input output

DESCRIPTION
sndfile-metadata-get displays bext and string metadata stored in an audio file. The following options specify what to print.

--all
    all metadata
--bext-description
    description
--bext-originator
    originator info
--bext-orig-ref
    originator reference
--bext-umid
    Unique Material Identifier
--bext-orig-date
    origination date
--bext-orig-time
    origination time
--bext-coding-hist
    coding history
--str-title
    title
--str-copyright
    copyright
--str-artist
    artist
--str-comment
    comment
--str-date
    creation date
--str-album
    album
--str-license
    license

sndfile-metadata-set sets bext and string metadata in an audio file if the format supports it. If the file does not contain a BEXT chunk to be modified, the second synopsis must be used, where another output file capable of storing the metadata is created. This file is overwritten if it already exists. The following options take an argument specifying the metadata:

--bext-description
    description
--bext-originator
    originator
--bext-orig-ref
    originator reference
--bext-umid
    Unique Material Identifier
--bext-orig-date
    origination date
--bext-orig-time
    origination time
--bext-coding-hist
    coding history
--bext-time-raf
    time reference
--str-comment
    comment
--str-title
    title
--str-copyright
    copyright
--str-artist
    artist
--str-date
    date
--str-album
    album
--str-license
    license

The following options take no argument:

--bext-auto-time-date
    Set the BEXT time and date to current.
--bext-auto-time
    Set the BEXT time to current.
--bext-auto-date
    Set the BEXT date to current.
--str-auto-date
    Set the string date to current.

EXIT STATUS

SEE ALSO
http://www.mega-nerd.com/libsndfile/ http://tech.ebu.ch/docs/tech/tech3285.pdf

AUTHORS
Erik de Castro Lopo <erikd@mega-nerd.com>